<?php
class LOTDPage extends Page {

	public static $db = array(
	);

	public static $has_one = array(
	);

	static $allowed_children = array('LOTD');

	static $has_many = array(
		'LOTD' => 'LOTD',
	);

}

class LOTDPage_Controller extends Page_Controller {

		/**
	 * An array of actions that can be accessed via a request. Each array element should be an action name, and the
	 * permissions or conditions required to allow the user to access it.
	 *
	 * <code>
	 * array (
	 *     'action', // anyone can access this action
	 *     'action' => true, // same as above
	 *     'action' => 'ADMIN', // you must have ADMIN permissions to access this action
	 *     'action' => '->checkAction' // you can only access this action if $this->checkAction() returns true
	 * );
	 * </code>
	 *
	 * @var array
	 */
//	public static $allowed_actions = array (
//	);


	public function init() {
		parent::init();

		// Note: you should use SS template require tags inside your templates 
		// instead of putting Requirements calls here.  However these are 
		// included so that our older themes still work
		//Requirements::themedCSS('layout'); 
		//Requirements::themedCSS('typography'); 
		//Requirements::themedCSS('form'); 
		Requirements::themedCSS('newLOTDform');
	}

/**
/*   funckija koja izraduje formu
/*   za unos novog LOTD
/*   sa 2 polja za unos teksta
/*   Lname i LOTD 
/*
*/


   function LOTDEntryForm() {

	$ID = 0;
	if($this->request->latestParam('ID')) {
		$ID = (int) $this->request->latestParam('ID');
	}

       // Create fields
       $fields = new FieldSet(
	   new TagField('Tags', null, null, 'LOTD'),
          new TextField('LName'),
          new TextField('LOTD')
       );
        // Create actions
       $actions = new FieldSet(
           new FormAction('PostLOTD', 'Unesi promjene')
       );

	$validator = new RequiredFields('LName', 'LOTD');

	//Izradi formu
	$Form = new Form($this, 'LOTDEntryForm', $fields, $actions, $validator);

	//Popuni formu sa postojecim podacima
	if (!$ID==0){
		$LOTD = DataObject::get_by_id('LOTD', $ID);
		$Form->loadDataFrom($LOTD->data());
	}

	return $Form; 
   }

	/**
	/*    sprema u bazu novi LOTD
	/*    @data   podaci iz web forme
	/*    @form   naziv forme s podacima
	*/

    function PostLOTD($data, $form){
        $submission = new LOTD();
        $form->saveInto($submission);
        $submission->write();
        Director::RedirectBack();
    }


	function post(){
//		if(!Permission::check('BLOGMANAGEMENT')) return Security::permissionFailure();
		$page = $this->customise(array(
			'Content' => false,
			'Form' => $this->LOTDEntryForm()
		));

		return $page->renderWith('Page');
	}




    /**
    /*   Funkcija za brisanje LOTDa
    /*   
    /*
    */

	function delLOTD($request) {
		$param = $request->allParams();
//		$dL = DataObject::get_by_id('LOTD',(int)$param['ID']);
//		$dL->delete();
		$LOTDID=(int)$param['ID'];
		DB::query("DELETE FROM LOTD WHERE ID = '$LOTDID'");
		Director::redirectBack();
	}

	function getLOTDs($pageLimit=20){

		if(!isset($_GET['start']) || !is_numeric($_GET['start']) || (int)$_GET['start'] < 1) $_GET['start'] = 0;
		$SQL_start = (int)$_GET['start'];

		return DataObject::get(
  		   $callerClass = 'LOTD',
		   $filter = "",
		   $sort = 'Created DESC',
		   $join = '',
		   $limit = "$SQL_start, $pageLimit"
		);

	}

	function canAddLOTD(){
		return LOTD::canAddLOTD(Member::currentUserID());
	}

	function canDelLOTD(){
		return LOTD::canDelLOTD(Member::currentUserID());
	}

	function canEditLOTD(){
		return LOTD::canEditLOTD(Member::currentUserID());
	}

}
